#!/bin/bash

# Auxiliary script invoked from image-or-flash.sh
# See the COPYRIGHT.txt file for license information
# Copyright (C) 2016 Ryan Cunningham

dnf -y install anaconda-tui spin-kickstarts
dnf -y upgrade anaconda-tui spin-kickstarts
cp /usr/share/spin-kickstarts/fedora-live-base.ks \
   /usr/share/spin-kickstarts/fedora-live-minimization.ks \
   /usr/share/spin-kickstarts/fedora-live-soas.ks \
   /usr/share/spin-kickstarts/fedora-repo.ks \
   /usr/share/spin-kickstarts/fedora-soas-packages.ks .

cat > fedora-live-soas.ks.new << EOF
$(cat fedora-live-soas.ks)

%include fedora-live-soas-changes.ks
EOF

mv fedora-live-soas.ks.new fedora-live-soas.ks

sed -i -e '/^lang/d' -e '/^keyboard/d' -e '/^part/d' \
    fedora-live-base.ks
