#!/bin/bash

# see COPYRIGHT.txt for licensing information
# Copyright (C) 2016 Ryan Cunningham

if [ -f /var/lock/create-image.lock ]
then
    echo "Cannot remove stray files while installer is running" >&2
    exit 1
fi

rm fedora-repo-not-rawhide.ks \
   fedora-repo-rawhide.ks \
   release-settings \
   linux_path_temp \
   initrd_path_temp \
   fedora-live-base.ks \
   fedora-live-minimization.ks \
   fedora-live-soas.ks \
   fedora-repo.ks \
   fedora-soas-packages.ks
