#!/bin/bash

# see the COPYRIGHT.txt file for license information
# Copyright (C) 2016 Ryan Cunningham

if [ ! "$1" ]
then
    echo "Sorry, I don't know which image to mount." >&2
    exit 1
fi
losetup -o 536870912 /dev/loop0 $1 || exit 2
mkdir -p /mnt/sysimage || exit 3
mount /dev/loop0 /mnt/sysimage || exit 4
echo "Image mounted at /mnt/sysimage"
